Package org.gradle.api.tasks.javadoc

## Class Groovydoc.Link

- java.lang.Object
- - org.gradle.api.tasks.javadoc.Groovydoc.Link

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    Groovydoc

      public static class Groovydoc.Link
      extends Object
      implements Serializable

  A Link class represent a link between groovydoc/javadoc output and url.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Link​(String url, String... packages)` | Constructs a `Link`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `List<String>` | `getPackages()` | Returns a list of package prefixes to be linked with an external site.
    `String` | `getUrl()` | Returns the base url for the external site.
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link​(String url,
                      String... packages)

      Constructs a `Link`.
      Parameters:
        `url` - Base URL of external site
        `packages` - list of package prefixes

  - ### Method Detail

    - #### getPackages

          public List<String> getPackages()

      Returns a list of package prefixes to be linked with an external site.

    - #### getUrl

          public String getUrl()

      Returns the base url for the external site.

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`